Skip to main content
GET
/
2022-06-09
/
orders
List Orders
curl --request GET \
  --url https://staging.crossmint.com/api/2022-06-09/orders \
  --header 'X-API-KEY: <api-key>'
{
  "data": [
    {
      "orderId": "b2959ca5-65e4-466a-bd26-1bd05cb4f837",
      "phase": "payment",
      "locale": "en-US",
      "lineItems": [
        {
          "chain": "polygon-amoy",
          "quantity": 1,
          "callData": {
            "quantity": 1,
            "ADDITIONAL_PROPERTIES": "Your other mint function arguments"
          },
          "metadata": {
            "name": "Headless Checkout Demo",
            "description": "NFT Description",
            "imageUrl": "https://cdn.io/image.png"
          },
          "quote": {
            "status": "valid",
            "charges": {
              "unit": {
                "amount": "0.0001",
                "currency": "eth"
              },
              "salesTax": {
                "amount": "0.34",
                "currency": "usdc"
              },
              "shipping": {
                "amount": "0",
                "currency": "usdc"
              }
            },
            "totalPrice": {
              "amount": "0.0001",
              "currency": "eth"
            }
          },
          "delivery": {
            "status": "awaiting-payment",
            "recipient": {
              "locator": "email:<email_address>:<chain>",
              "email": "testy@crossmint.com",
              "walletAddress": "0x1234abcd..."
            },
            "txId": "0x2e69f11dae7869b92e3d5eaf4cadd50c48b5c6803d1232815f979d744521ad4c",
            "tokens": [
              {
                "locator": "polygon:0xE04Cf294985282Ddc088E6433c064cfB85eD9EdA:3",
                "contractAddress": "0xE04Cf294985282Ddc088E6433c064cfB85eD9EdA",
                "tokenId": "3",
                "mintHash": "MintHashAbc123",
                "quantity": "1500000",
                "symbol": "USDC",
                "decimals": 6
              }
            ]
          }
        }
      ],
      "quote": {
        "status": "valid",
        "quotedAt": "2024-06-07T16:55:44.653Z",
        "expiresAt": "2024-06-07T17:55:44.653Z",
        "totalPrice": {
          "amount": "0.0001375741",
          "currency": "eth"
        }
      },
      "payment": {
        "status": "awaiting-payment",
        "method": "base-sepolia",
        "currency": "eth",
        "preparation": {
          "chain": "base-sepolia",
          "payerAddress": "0x1234abcd...",
          "serializedTransaction": "0x02f90....."
        }
      }
    }
  ],
  "nextCursor": "<string>",
  "previousCursor": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.crossmint.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

Query Parameters

cursor
string

Opaque cursor from a previous response's nextCursor or previousCursor. Omit on the first request.

limit
integer
default:30

Maximum number of orders to return. Minimum 1, maximum 100.

Required range: 1 <= x <= 100
sort
enum<string>
default:desc

Sort direction applied to createdAt.

Available options:
asc,
desc

Response

Orders retrieved successfully.

data
object[]
required

Page of orders in the requested sort order.

nextCursor
string | null

Cursor to fetch the next page. Absent when there are no more results.

previousCursor
string | null

Cursor to fetch the previous page. Absent on the first page.